function [Score] = PerformanceEvalution(TruePos, DerivedPos, MotifLen)
 TruePosLen=length(TruePos);
 DerivedPosLen=length(DerivedPos);
 Score=0;
 if DerivedPosLen ~= TruePosLen
     printf('Something is missing.......');
 else
     for i=1:TruePosLen
         if abs((TruePos(i)-DerivedPos(i))) < MotifLen
             Score=Score+ ( MotifLen-abs((TruePos(i)-DerivedPos(i))))/MotifLen;
         end
     end
     Score=Score/TruePosLen;
 end
 
 
 

end

