function [ SEQ_WITH_MOTIF_INSTANCE  MotifStartPos] = PlantMotifInstances(Background, Motif, NumMutations )
Alphabet='ATGC';
BackgroundLen=length(Background);
MotifLen=length(Motif);
MotifStartPos=randi(BackgroundLen-MotifLen+1);
mutatedPos(1:NumMutations)=zeros;
motifInstance=Motif;
for indx=1:NumMutations
      while 1
           next=randi(MotifLen);
           if ~any(mutatedPos==next)
               mutatedPos(indx)=next;
               baseTobeReplaced=Motif(next);
               while 1
                   replaceWithbase=Alphabet(randi(4));
                   if replaceWithbase~=baseTobeReplaced
                       motifInstance(next)=replaceWithbase;
                       break;
                   end
               end
               break;
           end
      end
end

SEQ_WITH_MOTIF_INSTANCE=Background;
SEQ_WITH_MOTIF_INSTANCE(MotifStartPos:MotifStartPos+MotifLen-1)=motifInstance;
SEQ_WITH_MOTIF_INSTANCE=char(SEQ_WITH_MOTIF_INSTANCE);
end

