function [TRUE_Motif] = GenerateDataset(OutputFileName,BackGroundLen,GCFrac,Motif_Len,NumSeq,NumMutations)

outFileid = fopen(OutputFileName,'a');

%outLogFileid=fopen('./Dataset/MA0093_350log.txt','a');
TRUE_Motif = RandomSeqGenerator(.5,Motif_Len)
for indx12 = 1 : NumSeq
  clear tline;
  tline = RandomSeqGenerator(GCFrac, BackGroundLen);
  [SEQ_WITH_MOTIF_INSTANCE D_True] = PlantMotifInstances(tline, TRUE_Motif, NumMutations );
  fprintf(outFileid, '%s  %6d %6d\r\n',SEQ_WITH_MOTIF_INSTANCE,D_True, D_True);
  clear SEQ_WITH_MOTIF_INSTANCE;
  clear D_True;
end

fclose(outFileid);
%fclose(outLogFileid);
end % end function